import React, { ComponentType } from 'react';
import './withColor.scss';
declare const colors: readonly ["default", "primary", "secondary", "info", "success", "warning", "error", "grey"];
export type ColorVariant = typeof colors[number] | `#${string}` | `rgb${string}`;
export type WithColorProps = {
    color?: ColorVariant;
    ref?: React.Ref<HTMLElement>;
};
export declare function withColor<TProps>(Component: ComponentType<TProps>): React.ForwardRefExoticComponent<React.PropsWithoutRef<TProps & WithColorProps> & React.RefAttributes<unknown>>;
export default withColor;
