import React from 'react';
type DomEvent = keyof Omit<React.DOMAttributes<any>, 'dangerouslySetInnerHTML' | 'children'>;
export type WithPreventSpamProps = {
    /** Events or event lists to avoid spam */
    events?: DomEvent | DomEvent[];
    /** Delay time for each time the event is fired by milliseconds (default: 350ms) */
    debounceTime?: number;
    /** The ref is forwarded to the root element. */
    ref?: React.Ref<HTMLElement>;
};
export declare function withPreventSpam<TProps>(Component: React.ComponentType<TProps>): React.ForwardRefExoticComponent<React.PropsWithoutRef<TProps & WithPreventSpamProps> & React.RefAttributes<unknown>>;
declare const _default: React.NamedExoticComponent<React.ComponentType<unknown>>;
export default _default;
